QUnit::TestResultExceptionType Class Reference

Class representing Exception of a particular type. More...

Inheritance diagram for QUnit::TestResultExceptionType:
[legend]

## Public Member Functions

| constructor (string exceptionType)
| creates the object from the exception arguments More...
bool | equals (QUnit::AbstractTestResult r)
| Equality operator.
string | toString ()
| returns a string describing the exception type

## Public Attributes

string | m_exceptionType
| corresponds to the `"err"` key of ExceptionInfo (the first value of a throw statement)

## Protected Member Functions

| constructor (string exceptionType, string subType)
| private constructor for subclasses

## Detailed Description

Class representing Exception of a particular type.

## Member Function Documentation

## constructor()

QUnit::TestResultExceptionType::constructor | ( | string | exceptionType | ) |

creates the object from the exception arguments

Parameters

  exceptionType | corresponds to the `"err"` key of ExceptionInfo (the first value of a throw statement)